"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resizeYoutubeProfileImageUrl = exports.alternateEmoji = exports.normalizeEmoji = void 0;
function decodeEscape(comment) {
    return comment
        .replace("&gt;", ">")
        .replace("&lt;", "<")
        .replace("&amp;", "&");
}
// 絵文字データの例
// <img src="https://fonts.gstatic.com/s/e/notoemoji/15.1/1f44f/72.png" alt="👏">
const emojiRegex = /<img[^>]*>/;
const emojiAltRegex = /<img [^>]*alt="([^>]*)"[^>]*>/;
function normalizeEmoji(comment) {
    var result = comment.replace(emojiRegex, "▯");
    result = decodeEscape(result);
    return result;
}
exports.normalizeEmoji = normalizeEmoji;
function alternateEmoji(comment) {
    var result = comment.replace(emojiAltRegex, "$1");
    result = result.replace(emojiRegex, "");
    result = decodeEscape(result);
    return result;
}
exports.alternateEmoji = alternateEmoji;
const profileImageUrlRegex = /=s(.+)-c-k-c0x00ffffff-no-rj/;
function resizeYoutubeProfileImageUrl(url) {
    return url.replace(profileImageUrlRegex, "=s240-c-k-c0x00ffffff-no-rj");
}
exports.resizeYoutubeProfileImageUrl = resizeYoutubeProfileImageUrl;
